Issue #6702 has been updated by drbrain (Eric Hodel).


I don't know if I can solve this problem with RubyGems.

Date is now a C extension.

At ruby install time, Gem::Specification is loaded by rbinstall.rb which is run from miniruby.

miniruby cannot load C extensions (as mentioned in the commit referenced above).

I'll see if Date can be required only when needed. I believe rbinstall calls ruby_code which uses Date, so it may be difficult.
----------------------------------------
Bug #6702: Date should be either required or not
https://bugs.ruby-lang.org/issues/6702#change-34430

Author: rosenfeld (Rodrigo Rosenfeld Rosas)
Status: Assigned
Priority: Low
Assignee: drbrain (Eric Hodel)
Category: lib
Target version: 1.9.3
ruby -v: ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]


Today I was trying to do some experiment with IRB: "Date.today" threw a NoMethodError.

But Date was defined: "defined? Date" == "constant".

If I explicitly required for "date" it worked, but this is pretty much weird. It would be better if either:

 - I got an undefined "Date" class instead
 - "date" was automatically required

The current state is pretty much misleading.

This also happens in JRuby, so I guess somehow this is an intended behavior, but it doesn't make any sense to me.


-- 
http://bugs.ruby-lang.org/